import 'package:flutter/material.dart';

import '../../common/values/styles.dart';

class CustomTextHeaderMediumField extends StatelessWidget {
  final label;
  final color;
  final TextAlign? align;
  final int? maxLine;

  CustomTextHeaderMediumField(
      {required this.label, this.color, this.align, this.maxLine});

  @override
  Widget build(BuildContext context) {
    return Text(
      label,
      style: Styles.customTextHeaderMediumStyle(color: color),
      textAlign: align,
      overflow: TextOverflow.ellipsis,
      maxLines: maxLine,
    );
  }
}
