
import 'package:flutter/material.dart';

import '../../common/values/styles.dart';

class CustomTextMediumField extends StatelessWidget {
  final String? label;
  final color;
  final TextAlign? align;
  final int? maxLine;

  CustomTextMediumField(
      {this.label = "null", this.color, this.align, this.maxLine});

  @override
  Widget build(BuildContext context) {
    return Text(label ?? "null",
        textAlign: align,
        maxLines: maxLine,
        overflow: TextOverflow.ellipsis,
        style: Styles.customTextMediumStyle(color: color));
  }
}
