
import 'package:flutter/material.dart';

import '../../common/values/styles.dart';

class CustomTextSmallBoldField extends StatelessWidget {
  final label;
  final color;
  final TextAlign? align;
  final int? maxLine;

  CustomTextSmallBoldField(
      {required this.label, this.color, this.align, this.maxLine});

  @override
  Widget build(BuildContext context) {
    if (label != null && label != "") {
      return Text(label,
          textAlign: align,
          maxLines: maxLine,
          overflow: TextOverflow.ellipsis,
          style: Styles.customTextSmallBoldStyle(color: color));
    } else {
      return Container();
    }
  }
}
