import '../../common/values/styles.dart';
import 'package:flutter/material.dart';

class CustomTextDefaultBoldField extends StatelessWidget {
  final label;
  final color;
  final TextAlign? align;
  final int? maxLine;

  CustomTextDefaultBoldField(
      {required this.label, this.color, this.align, this.maxLine = 2});

  @override
  Widget build(BuildContext context) {
    return Text(label,
        style: Styles.customTextDefaultBoldStyle(color: color),
        textAlign: align,
        maxLines: maxLine,
        overflow: TextOverflow.ellipsis);
  }
}
