
import 'package:flutter/material.dart';

import '../../common/values/styles.dart';

class CustomTextLargeField extends StatelessWidget {
  final String? label;
  final color;
  final TextAlign? align;
  final int? maxLine;

  CustomTextLargeField(
      {required this.label, this.color, this.align, this.maxLine});

  @override
  Widget build(BuildContext context) {
    return Text(label ?? "null",
        textAlign: align,
        overflow: TextOverflow.ellipsis,
        maxLines: maxLine,
        style: Styles.customTextLargeStyle(color: color));
  }
}
