
import 'package:flutter/material.dart';

import '../../common/values/styles.dart';

class CustomTextDefaultField extends StatelessWidget {
  final label;
  final color;
  final TextAlign? align;
  final int? maxLine;

  CustomTextDefaultField(
      {required this.label, this.color, this.align, this.maxLine});

  @override
  Widget build(BuildContext context) {
    return Text(label ?? "",
        textAlign: align,
        maxLines: maxLine,
        overflow: TextOverflow.ellipsis,
        style: Styles.customTextDefaultStyle(color: color));
  }
}
