
import 'package:flutter/material.dart';

import '../../common/values/styles.dart';

class CustomTextSmallField extends StatelessWidget {
  final String? label;
  final color;
  final TextAlign? align;
  final int? maxLine;

  CustomTextSmallField(
      {required this.label, this.color, this.align, this.maxLine});

  @override
  Widget build(BuildContext context) {
    if (label != null && label != "") {
      return Text(label ?? "null",
          textAlign: align,
          maxLines: maxLine,
          overflow: TextOverflow.ellipsis,
          style: Styles.customTextSmallStyle(color: color));
    } else {
      return Container();
    }
  }
}
